import logging
import asyncio
from logging import basicConfig, info
import sys
from datetime import datetime
from aiogram import Dispatcher, Bot
from aiogram.client.default import DefaultBotProperties
from aiogram.enums import ParseMode
from aiogram.filters import CommandStart, Command
from aiogram.types import Message

BOTTOKEN = "7953849965:AAEo9BvT2vtLA1SvwwdSwoY3bS3ybjY-Zqw"

dp = Dispatcher
Now = datetime.now()
format_Date = Now.strftime("%d-%m-%Y")
# %Y = год
# %m = месяц
# %d = день
# %H = час
# %m = минута
# %S = секунда

@dp.message(CommandStart())
async def command_start_handler(message: Message) -> None:
    await message.answer(f"Hello, {message.from_user.full_name}!")
    with open("acc_scam.txt", "w", encoding="utf-8", newline=True) as file:
        file.write(format_Date + ": " + message.from_user.full_name + " has join chat")

@dp.message(Command("hi"))
async def cmd_start(message: Message) -> None:
    await message.answer("Hello, so u want rbxs right? gimme ur pass and username example: *@tralaletrala1212 and pass:abc1239ki91*")

async def main(token) -> None:
    bot = Bot(token=token, default=DefaultBotProperties(parse_mode=ParseMode.HTML))
    await dp.start_polling(bot)

if __name__ == "__main__":
    basicConfig(level=logging.INFO, stream=sys.stdout)
    asyncio.run(main(BOTTOKEN))
# %Y = год
# %M = месяц
# %D = день
# %H = час
# %m = минута
# %S = секунда